<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IconName Property (IEdmState5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmState5 Interface : IconName Property (IEdmState5)

Visual Basic
C#
C++/CLI
Gets the name of the icon used in the workflow graph.

# Syntax

Visual Basic |
--- | ---

    ReadOnly Property IconName As System.String

C# |
--- | ---

    System.string IconName {get;}

C++/CLI |
--- | ---

    property System.String^ IconName {
       System.String^ get();
    }

#### Property Value

Name of the icon

# Remarks

You can extract the icon from the WfIcons.dll, where the resource ID is the name stored in this property appended by "_SML".

# See Also

####

IEdmState5 Interface
IEdmState5 Members